﻿using Abp.Application.Services.Dto;
using Abp.AutoMapper;
using System;
using System.ComponentModel.DataAnnotations;

namespace MineTec.ProManager.BOMDetalis_Production.Dto
{
    [AutoMapFrom(typeof(Entitys.Order.BOM_Production.BOMDetalis_Production))]

    public class BOMDetalis_ProductionDto : EntityDto<Guid>
    {
        /// <summary>
        /// 创建日期
        /// </summary>
        public DateTime? CreateTime { get; set; }
        /// <summary>
        /// 创建人ID
        /// </summary>
        [StringLength(50)]
        public string CreateUserID { get; set; }
        /// <summary>
        /// 创建人姓名
        /// </summary>
        [StringLength(50)]
        public string CreateUserName { get; set; }
        /// <summary>
        /// 修改日期
        /// </summary>
        public DateTime? UpdateTime { get; set; }
        /// <summary>
        /// 修改人ID
        /// </summary>
        [StringLength(50)]
        public string UpdateUserID { get; set; }
        /// <summary>
        /// 修改人名称
        /// </summary>
        [StringLength(50)]
        public string UpdateUserName { get; set; }
        /// <summary>
        /// BOM主表GUID
        /// </summary>
        [StringLength(50)]
        public string BOM_ProductionID { get; set; }
        /// <summary>
        /// 配件代号
        /// </summary>
        [StringLength(150)]
        public string AccessoryCode { get; set; }
        /// <summary>
        /// 名称及规格
        /// </summary>
        [StringLength(150)]
        public string NameAndSpecs { get; set; }
        /// <summary>
        /// 材料
        /// </summary>
        [StringLength(150)]
        public string Materials { get; set; }
        /// <summary>
        /// 加工性质ID
        /// </summary>
        [StringLength(50)]
        public string WorkingTypeID { get; set; }
        /// <summary>
        /// 加工性质名称
        /// </summary>
        [StringLength(50)]
        public string WorkingTypeName { get; set; }
        /// <summary>
        /// 供应代码
        /// </summary>
        [StringLength(50)]
        public string SuppliersCode { get; set; }
        /// <summary>
        /// 供应商ID
        /// </summary>
        [StringLength(50)]
        public string SuppliersID { get; set; }
        /// <summary>
        /// 供应商名称
        /// </summary>
        [StringLength(150)]
        public string SuppliersName { get; set; }
        /// <summary>
        /// 单台用量
        /// </summary>
        public decimal? AmountOfUnit { get; set; }
        /// <summary>
        /// 单位
        /// </summary>
        [StringLength(150)]
        public string Unit { get; set; }
        /// <summary>
        /// 单价
        /// </summary>
        public decimal? Price { get; set; }
        /// <summary>
        /// 金额
        /// </summary>
        public decimal? Amount { get; set; }
        /// <summary>
        /// 借用件
        /// </summary>
        [StringLength(200)]
        public string Borrowings { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        [StringLength(300)]
        public string Remark { get; set; }
        /// <summary>
        /// 关联图纸ID
        /// </summary>
        [StringLength(50)]
        public string RelatedPicID { get; set; }
        /// <summary>
        /// 关联图纸名称
        /// </summary>
        [StringLength(150)]
        public string RelatedPicName { get; set; }
        /// <summary>
        ///是否关联附件：0 否, 1 是
        /// </summary>
        public int IsAnnex { get; set; }
        /// <summary>
        ///是否删除：0 否, 1 是
        /// </summary>
        public int IsDelete { get; set; }

        public DateTime CreationTime { get; set; }
    }
}
